Bug 494936 - perl crashes on free() on splice
perl crashes on free() on splice
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
10
All All
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
http://users.camk.edu.pl/chris/5.10-b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 14:55 EDT by Krzysio (Chris) Leszczynski
Modified: 2009-04-27 05:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 04:29:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysio (Chris) Leszczynski 2009-04-08 14:55:30 EDT
Description of problem:
Reported it today http://rt.perl.org/rt3/Ticket/Display.html?id=64550
perl 5.10 crashes with segfault

Version-Release number of selected component (if applicable):
perl-5.10.0-56.fc10.x86_64 (but crashes on 32-bit too, Windows version crashes too)

How reproducible: always


Steps to Reproduce:
Follow the instructions on http://rt.perl.org/rt3/Ticket/Display.html?id=64550 and/or http://users.camk.edu.pl/chris/5.10-bug-afm2pfm/
  
Actual results:
perl 5.10 (Fedora 10) crashes, perl 5.8.8 (Fedora 8) runs perfectly

Additional info:
The bug is already fixed according to Dave Mitchell <davem@iabyn.com>.
Still Fedora 10 uses the buggy perl.
Comment 1 Marcela Mašláňová 2009-04-09 02:17:14 EDT
(In reply to comment #0)
> 
> Additional info:
> The bug is already fixed according to Dave Mitchell <davem@iabyn.com>.
> Still Fedora 10 uses the buggy perl.  
It's not.
I check this on rawhide which has the same patches as the latest build  for F-10 (perl-5.10.0-67.fc10) and here it's working. You can install this build from testing repositories or https://admin.fedoraproject.org/updates/F10/FEDORA-2009-2992
Comment 2 Marcela Mašláňová 2009-04-24 04:29:37 EDT
Should be fixed in perl-5.10.0-68.fc10
Comment 3 Krzysio (Chris) Leszczynski 2009-04-27 05:22:06 EDT
Confirmed! Now it works with the software that trigerred the above bug.
Many thanks to Red Hat, Fedora and Perl Teams.

Note You need to log in before you can comment on or make changes to this bug.